Skip to content
Last updated

enrollDisposableWitheIDAssertion method

This method allows enrolling a disposable with an authorized eID assertion. Check How to enroll a disposable with an assertion provided by an authorized eID for more details.

For the full technical reference, see the OpenAPI specification.

Endpoint

POST /api/certificate/{lraId}/enrollDisposableWitheIDAssertion

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.
AuthorizationYesBasic Auth credentials.

Path parameters

ParameterTypeRequiredDescription
lraIdintegerYesLRA identifier.

Body parameters

ParameterTypeRequiredDescription
eidAssertionHolderobjectYesDisposableeIDAssertionHolder object.
contactsobjectYesDisposableContacts object.
certificateobjectYesDisposableCertificate object.
buReIdstringNoOne Platform — Business Relation ID.

Request example

{
    "eidAssertionHolder": {
        "assertion": "encoded base64 assertion",
        "country": "IT",
        "eIDType": "SPID"
    },
    "contacts": {
        "email": "user@example.com",
        "mobile": "+390000000000"
    },
    "certificate": {
        "fullData": false,
        "otpType": "SMS",
        "password": "YOUR_PASSWORD",
        "securityCode": "YOUR_SECURITY_CODE",
        "type": "DISPOSABLE"
    }
}

Response examples

200 — Disposable issued

{
    "cert": "LS0tLS1CRUdJTiBDRVJU...",
    "certType": "DISPOSABLE",
    "certUsageLimit": "usage limit value",
    "certSerialNumber": "76BC101898E7E2DA",
    "certIdOtp": 1234567,
    "deviceCode": "RHIDP11111111111"
}

Errors: Check here the main errors triggered.